#!/bin/bash
set -ex

# This file gets touched if all setup passes
rm /.setup_complete || true

HOME_DIR="/home/phablet"

apt-add-repository ppa:mir-team/staging -y

apt-get update || apt-get update || apt-get update

apt-get install glmark2-es2-mir

for DEB in `ls $HOME_DIR/archive/*.deb`; do
    DEPENDS=$(dpkg -I $DEB | grep Depends | cut -d ':' -f 2-)
    for DEPEND in $DEPENDS; do
        echo $DEPEND
        INSTALL=$(echo $DEPEND | grep -v ")" | grep -v "(" |grep -v "|"  | cut -d ',' -f1)
        if [ ! -z "$INSTALL" ]; then
            apt-get install $INSTALL -y || true
        fi
    done
done

dpkg -i --force-depends-version $HOME_DIR/archive/*.deb


touch /.setup_complete
